:root {
  --tooltip-background-color: #85888C;
  --tooltip-color: #000000;
  --tooltop-font-size: 1rem;
}

[data-tooltip] {
  cursor: pointer;
  position: relative;
}

[data-tooltip]:before {
  background-color: var(--tooltip-background-color);
  color: var(--tooltip-color);

  font-size: var(--tooltop-font-size);
  padding: calc(var(--tooltop-font-size) / 3);

  border: 1px solid var(--tooltip-color);
  border-radius: calc(var(--tooltop-font-size) / 3);

  height: fit-content;
  width: fit-content;
  white-space: nowrap;

  content: attr(data-tooltip);

  position: absolute;
  top: 0;
  left: 50%;

  transform: translate(-50%, -110%) scale(0);
  transform-origin: bottom;
  transition: 0.15s;
  box-shadow: 0 4px 14px 0 rgba(0, 0, 0, 0.2), 0 0 0 1px rgba(0, 0, 0, 0.05);
}

[data-tooltip]:hover:before {
  display: block;
  transform: translate(-50%, -110%) scale(1);
}
